Bug 1125872 - [abrt] simdock: handle_error(): simdock killed by SIGTRAP
Summary: [abrt] simdock: handle_error(): simdock killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: simdock
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:67f5394b88cfefde66f6f49fbfc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 09:37 UTC by Mikhail Yarashevich
Modified: 2016-02-17 04:18 UTC (History)
1 user (show)

Fixed In Version: simdock-1.4-0.20160207git.fc23 simdock-1.4-0.20160207git.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-17 03:51:47 UTC


Attachments (Terms of Use)
File: backtrace (31.53 KB, text/plain)
2014-08-01 09:37 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-01 09:37 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (3.55 KB, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (8.82 KB, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: environ (3.67 KB, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: maps (39.72 KB, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (379 bytes, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (458 bytes, text/plain)
2014-08-01 09:38 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2014-08-01 09:37:53 UTC
Description of problem:
Just start simdock in KDE.

Version-Release number of selected component:
simdock-1.2.6-2.20130128git.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        simdock
crash_function: handle_error
executable:     /usr/bin/simdock
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 handle_error at xcb_io.c:213
 #6 XGetGeometry at GetGeom.c:47
 #7 gdk_pixmap_foreign_new_for_display at gdkpixmap-x11.c:331
 #8 getRootWallpaper at src/background.cc:45
 #9 MyApp::OnInit at src/main.cc:390
 #10 wxEntry at src/common/init.cpp:432

Comment 1 Mikhail Yarashevich 2014-08-01 09:37:57 UTC
Created attachment 923168 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2014-08-01 09:37:58 UTC
Created attachment 923169 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2014-08-01 09:38:00 UTC
Created attachment 923170 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2014-08-01 09:38:02 UTC
Created attachment 923171 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2014-08-01 09:38:03 UTC
Created attachment 923172 [details]
File: environ

Comment 6 Mikhail Yarashevich 2014-08-01 09:38:04 UTC
Created attachment 923174 [details]
File: limits

Comment 7 Mikhail Yarashevich 2014-08-01 09:38:06 UTC
Created attachment 923175 [details]
File: maps

Comment 8 Mikhail Yarashevich 2014-08-01 09:38:08 UTC
Created attachment 923176 [details]
File: open_fds

Comment 9 Mikhail Yarashevich 2014-08-01 09:38:09 UTC
Created attachment 923177 [details]
File: proc_pid_status

Comment 10 Mikhail Yarashevich 2014-08-01 09:38:10 UTC
Created attachment 923178 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:32:10 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Jan Kurik 2015-07-15 14:38:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 13 Fedora Update System 2016-02-07 18:30:49 UTC
simdock-1.4-0.20160207git.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0be1ecb64

Comment 14 Fedora Update System 2016-02-07 18:30:51 UTC
simdock-1.4-0.20160207git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cce0d949bc

Comment 15 Fedora Update System 2016-02-07 18:30:53 UTC
simdock-1.4-0.20160207git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cce0d949bc

Comment 16 Fedora Update System 2016-02-08 04:19:45 UTC
simdock-1.4-0.20160207git.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cce0d949bc

Comment 17 Fedora Update System 2016-02-08 04:19:48 UTC
simdock-1.4-0.20160207git.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0be1ecb64

Comment 18 Fedora Update System 2016-02-17 03:51:42 UTC
simdock-1.4-0.20160207git.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-02-17 04:18:42 UTC
simdock-1.4-0.20160207git.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.